onEvent("recipes", event => {

  event.shaped(Item.of('simplyjetpacks:jetpack_creative'), [
    'U U',
    'UNU',
    'O O' 
  ], {
    U:'extendedcrafting:the_ultimate_ingot',
    O: 'mysticalagradditions:creative_essence',
    N: Item.of('minecraft:netherite_chestplate', '{Damage:0}')
  })

  event.shaped(Item.of('tconstruct:creative_slot', '{slot:"upgrades"}'), [
    'UOU',
    'OFO',
    'UOU' 
  ], {
    U: 'extendedcrafting:the_ultimate_ingot',
    O: 'mysticalagradditions:creative_essence',
    F: 'minecraft:anvil'
  })
  
  event.shaped('storagedrawers:creative_storage_upgrade', [
    'UOU',
    'OAO',
    'UOU' 
  ], {
    U: 'extendedcrafting:the_ultimate_ingot',
    O: 'mysticalagradditions:creative_essence',
    A: 'storagedrawers:emerald_storage_upgrade'
  })
  
  event.shaped('create:creative_motor', [
    'CDC',
    'CBC',
    'CAC' 
  ], {
    C: 'mysticalagradditions:creative_essence',
    A: 'createaddition:capacitor',
    B: 'createaddition:copper_spool',
    D: 'create:shaft'
  })
  
  event.shaped('botania:creative_pool', [
    'CMC',
    'CCC' 
  ], {
    C: 'mysticalagradditions:creative_essence',
    M: 'botania:rune_envy'
  })
  
  event.shaped(Item.of('tconstruct:creative_slot', '{slot:"abilities"}'), [
    'UCU',
    'CNC',
    'UCU' 
  ], {
    C: 'mysticalagradditions:creative_essence',
    U: 'extendedcrafting:the_ultimate_ingot',
    N: 'minecraft:nether_star'
  })
})